<?php
namespace app\modules\manager\assets;

use yii\web\AssetBundle;
use yii\web\View;

class AdminLtePluginAsset extends AssetBundle
{
    public $sourcePath = '@vendor/almasaeed2010/adminlte/plugins';
    public $js = [
        'datatables/jquery.dataTables.min.js',
        'datatables-bs4/js/dataTables.bootstrap4.min.js',
        // more plugin Js here
    ];
    public $css = [
        'datatables-bs4/css/dataTables.bootstrap4.min.css',
        // more plugin CSS here
    ];
    public $depends = [
       'yii\web\YiiAsset',
		'yii\jui\JuiAsset'
    ];
	public $jsOptions = [
        'position' => View::POS_HEAD
    ];
}
