<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use  \app\models\base\Story;
use  \app\models\base\NewsTopic;

$this->title = 'Глобальная настройка коментариев';
$this->params['breadcrumbs'][] = ['label' => 'Список коментариев', 'url' => ['']];
$this->params['breadcrumbs'][] = $this->title;

// echo $model->isPreModerate();

$form = ActiveForm::begin([
    'id' => 'conf-form',
    'options' => ['class' => 'form-horizontal ml-3', 'enctype' => 'multipart/form-data']]);
	print_r($form->errorSummary($model) );
?>
<input type="hidden" name="Conf[id]" value="0">
<div class="card card-outline card-primary">
	<div class="card-body">
		<div class="custom-control custom-checkbox">
			<input type="checkbox" class="custom-control-input" id="inlineCheckboxs1" name="Conf[AllStop]" value="Y" <?=($model->AllStop=='Y')?'checked':''?>>
			<label class="custom-control-label" for="inlineCheckboxs1"> <i class="far fa-play-circle"></i> На хер всех</label>
			<div class="help-block">Полностью отключить коментарии</div>
		</div>
		<div class="custom-control custom-checkbox">
			<input type="checkbox" class="custom-control-input" id="reg" name="Conf[reg]" value="Y" <?=($model->reg=='Y')?'checked':''?>>
			<label class="custom-control-label" for="reg"> <i class="far fa-play-circle"></i> Зарегистрированные, так же в премодерацию</label>
			<div class="help-block">Действия премодерации и для зарегистрированных</div>
		</div>
	</div>
</div>
<div class="card card-outline card-primary ">
	<div class="card-body">
		<div class="form-group mb-3">
			<label class="control-label mr-3" for="Dt-start" >Время начала премодерации </label>
			<input type="time" class="col-auto" id="Dt-start" placeholder="Время" min="00:00" max="23:59" name="Conf[dt_start]" value="<?=$model->dt_start?>">
		</div>
		<div class="form-group mb-3">
			<label class="control-label mr-3" for="Dt-stop" >Время окончание премодерации </label>
			<input type="time" class="col-auto" id="Dt-stop" placeholder="Время" name="Conf[dt_stop]" value="<?=$model->dt_stop?>">
		</div>
		<div class="help-block">Время включения премодерации в обычные дни</div>
	</div>
</div>
<div class="card card-outline card-primary">
	<div class="card-body">
          <div class="form-group">
            <label class="control-label mr-4">Дни премодерации</label>
              <label class="checkbox inline mr-3" for="d0"> П <input type="checkbox" id="d0" value="Y" name="Conf[d0]" <?=($model->d0=='Y')?'checked':''?>></label>
              <label class="checkbox inline mr-3" for="d1"> В <input type="checkbox" id="d1" value="Y" name="Conf[d1]" <?=($model->d1=='Y')?'checked':''?>></label>
              <label class="checkbox inline mr-3" for="d2"> C <input type="checkbox" id="d2" value="Y" name="Conf[d2]" <?=($model->d2=='Y')?'checked':''?>></label>
              <label class="checkbox inline mr-3" for="d3"> Ч <input type="checkbox" id="d3" value="Y" name="Conf[d3]" <?=($model->d3=='Y')?'checked':''?>></label>
              <label class="checkbox inline mr-3" for="d4"> П <input type="checkbox" id="d4" value="Y" name="Conf[d4]" <?=($model->d4=='Y')?'checked':''?>></label>
              <label class="checkbox inline mr-3" for="d5"> Сб <input type="checkbox" id="d5" value="Y" name="Conf[d5]" <?=($model->d5=='Y')?'checked':''?>></label>
              <label class="checkbox inline mr-3" for="d6"> Вс <input type="checkbox" id="d6" value="Y" name="Conf[d6]" <?=($model->d6=='Y')?'checked':''?>></label>
          </div>
		  <div class="help-block">Дни недели в которые включать премодерацию</div>
	</div>
</div>



        <?= Html::submitButton('Сохранить', ['class' => 'btn btn-success']) ?>


<?php ActiveForm::end(); ?>
