<?
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\web\View;

$this->title = 'Tilda Страницы';
$this->params['breadcrumbs'][] = ['label' => 'Tilda', 'url' => ['index'] ];
$this->params['breadcrumbs'][] = $info['title'];
?>
<div class="row">
<div class="col-md-12">
<div class="callout callout-danger">
<h5><?=$info['title']?></h5>
<p><?=$info['descr']?></p>
<div class="alert alert-info alert-dismissible">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
<h5><i class="icon fas fa-info"></i> Справка!</h5>
Выбирите страницы для экспорта, обьеденённых в один проект и нажмите кнопку <span class="badge badge-success">Экспорт</span>
</div>
</div>
</div>
</div>
<div class="row">
<?php $form = ActiveForm::begin([
    'method' => 'post',
    'action' => ['tilda/export'],
]); ?>
<input type="hidden" value="<?=$info['id']?>" name="proj">
<?
foreach($pages as $item){

?>
<div class="col-md-4">
<div class="card card-widget widget-user-2">

<div class="card-header">
<h3 class="card-title">
<input type="checkbox" value="<?=$item['id']?>" name="Check[]">
</h3>
</div>
<div class="attachment-block clearfix">
<?
	if( isset( $item['img'] ) && $item['img'] != '' ){
		$img = $item['img'];
		$img = str_replace( basename($img), '-/resize/160x/'.basename($img), $img );
//
//-/resize/160x/
?>
	<img src="<?=$img?>" class="attachment-img m-2">
<?
	}
?>

<h3 class="widget-user-username"><?=$item['title']?></h3>
<p class="mx-2"><?=$item['date']?></p>
<div class="card-footer p-0">
<div class="card-body">
<?=$item['descr']?>
</div>
</div>

</div>

</div>
</div>
<?
}
?>
    <div class="form-group m-4">
        <?= Html::submitButton('Экспорт', ['class' => 'btn btn-success']) ?>
    </div>
    <?php ActiveForm::end(); ?>
</div>
