<?php
/**
 * @var $model \app\models\News
 * @var $key
 * @var $index
 * @var $widget
 */
?>
<!-- story -->
<div id="story-<?=$model->id?>" class="story" data-id="story-<?=$model->id?>"  data-story-id="<?=$model->id?>" data-last-updated="<?=strtotime($model->dt_pub)?>" data-photo="<?=$model->preview->url?>">
    <a class="item-link" href="<?=$model->url?>">
        <span class="item-preview">
            <img src="<?=$model->preview->getUrl(\app\models\base\Image::SIZE_320x180)?>" alt=""/>
        </span>
        <span class="info" >
            <strong class="name" itemProp="name"><?=$model->title?></strong>
            <span class="time"><?=$model->dt_pub?></span>
        </span>
    </a>

    <ul class="items">
        <!-- story item -->
        <li
                data-id="<?=$model->image->url?>"
                data-time="<?=strtotime($model->dt_pub)?>"
                class=""
        >
            <a href="<?=$model->url?>"
               data-src = "<?=$model->image->url?>"
               data-type="photo"
               data-length="3"
               data-link="<?=$model->url?>"
               data-linkText='<?=$model->title?>'

            >
                <img src="<?=$model->image->getUrl(\app\models\base\Image::SIZE_680x383)?>" />
            </a>
        </li>
        <!--/ story item -->
    </ul>
</div>
<!--/ story -->
