<?php
/**
 * @var $post \app\models\News
 * @var \yii\data\ActiveDataProvider $newsDataProvider
 * @var \app\models\base\NewsTopic | \app\models\base\Story $topic
 * @var $design \app\models\Design
 */
?>

<div class="text-news-widget row">
    <div class="col-md-12">
        <div class="cont">
            <div class="widget-title">
                <?=$design->title?>
            </div>
            <div class="row">
                <?php
                echo Yii::$app->cache->getOrSet("main-page-text-widget-".$design->id,function () use ($newsDataProvider){

                    return \yii\widgets\ListView::widget([
                        "dataProvider" => $newsDataProvider,
                        'options' => [
                            'tag' => false,
                            'class' => 'list-wrapper',
                            'id' => 'list-wrapper',
                        ],
                        "itemOptions"=>[
                            "tag"=>false
                        ],
                        "itemView" => "_text_widget_item",
                        "layout" => "{items}"
                    ]);
                },60);
                ?>
            </div>
        </div>
    </div>
</div>
