<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "report_photo".
 *
 * @property int $id
 * @property int $topic_id
 * @property string|null $title
 * @property int $sort
 * @property int $active
 */
class ReportPhoto extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'report_photo';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['topic_id', 'sort', 'active'], 'integer'],
            [['title'], 'string'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'topic_id' => 'Topic ID',
            'title' => 'Title',
            'sort' => 'Sort',
            'active' => 'Active',
        ];
    }
}
