<?php
/**
 * @var News $post
 * @var \yii\web\View $this
 */


use app\models\Person;
use yii\helpers\ArrayHelper;
use yii\helpers\Html;
use yii\helpers\Url;

?>
<div class="inject1" id="<?=$post->id?>">
    <div class="illustration">
            <div class="picture-cont-16x9">
                <a href="<?=Url::base('https').'/person/'.$post->alias?>">
                    <picture class="w-100">
                        <img src="<?=$post->getImg(4,'jpg')?>" alt="<?=$post->name?>" class="w-100" loading="lazy">
                    </picture>
                </a>
            </div>
    </div>

    <div class="meta">
        <h2 class="title"><a href="<?=Url::base('https').'/person/'.$post->alias?>"><?=$post->name?><p><?=$post->jobtitle?></p></a></h2>
    </div>
</div>
