/*
CKEDITOR.plugins.add('newPlugin',{
  init: function(editor){
    var cmd = editor.addCommand('newPlugin', {
      exec:function(editor){
        editor.insertHtml( (new Date()).toString() ); //    
      }
    });
    cmd.modes = { wysiwyg : 1, source: 1 };//       wysiwyg     
    editor.ui.addButton('newPlugin',{
      label: '    ',
      command: 'newPlugin',
      toolbar: 'about'
    });
  },
  icons:'personage', // 
});
*/

(function() {

    CKEDITOR.plugins.add( 'newPlugin',function( editor )
   
        {
            var pluginName = 'newPlugin';

            //   
            CKEDITOR.dialog.add( pluginName, this.path + 'dialogs/' + pluginName + '.js' );

            //      pluginName
            //  pluginName      
            editor.addCommand( pluginName, new CKEDITOR.dialogCommand( pluginName ) );

            //  css    
            var basicCss =
                'background:url(' + CKEDITOR.getUrl( this.path + 'icons/personage.png' ) + ') no-repeat left center;' +
                'border:1px dotted #aaa;';

            editor.addCss(
                'img.' + pluginName +
                '{' +
                    basicCss +
                    'width:32px;' +
                    'min-height:31px;' +
                    // The default line-height on IE.
                    'height:1.15em;' +
                    // Opera works better with "middle" (even if not perfect)
                    'vertical-align:' + ( CKEDITOR.env.opera ? 'middle' : 'text-bottom' ) + ';' +
                    'border-collapse: collapse;' +
                '};');

            //     
            editor.on( 'doubleclick', function( evt )
			{
				var element = evt.data.element;

                                //  <img>     ,    
				if ( element.is( 'img' ) && element.getAttribute( pluginName ) )
					evt.data.dialog = pluginName;
			} );

            //    
            if(editor.ui.addButton)
            {
                editor.ui.addButton( 'newPlugin',
                {
                    label: '',
		    command: 'newPlugin',
		    toolbar: 'about'
                } );
            }

        

    });

})();